package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.knowsub.model.SystemBase;
import com.supervision.knowsub.service.SystemBaseService;
import com.supervision.knowsub.mapper.SystemBaseMapper;
import com.supervision.knowsub.vo.sublibrary.SubLibraryReqVo;
import com.supervision.knowsub.vo.sublibrary.SubLibraryResVo;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【ks_system_base(应用子库)】的数据库操作Service实现
* @createDate 2024-06-24 11:35:15
*/
@Service
public class SystemBaseServiceImpl extends ServiceImpl<SystemBaseMapper, SystemBase>
    implements SystemBaseService{

    @Override
    public IPage<SubLibraryResVo> listSubLibrary(SubLibraryReqVo subLibraryReqVo, Integer pageNum, Integer pageSize) {
        return super.getBaseMapper().listSubLibrary(subLibraryReqVo,new Page<>(pageNum,pageSize));
    }
}




